package com.bjtdba.entity.userCenter;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户地址表(UserAddress)实体类
 *
 * @author makejava
 * @since 2022-10-17 10:32:13
 */
public class UserAddress implements Serializable {
    private static final long serialVersionUID = 396339720026156733L;
    /**
     * 用户地址id
     */
    private Integer addressId;
    /**
     * 用户id
     */
    private Long uid;
    /**
     * 收货人姓名
     */
    private String realName;
    /**
     * 收货人电话
     */
    private String phone;
    /**
     * 收货人所在省
     */
    private String province;
    /**
     * 收货人所在市
     */
    private String city;
    /**
     * 城市id
     */
    private Integer cityId;
    /**
     * 收货人所在区
     */
    private String district;
    /**
     * 收货人详细地址
     */
    private String detail;
    /**
     * 邮编
     */
    private Long postCode;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 是否默认
     */
    private Integer isDefault;
    /**
     * 是否删除
     */
    private Integer isDel;
    /**
     * 添加时间
     */
    private Date createTime;
    /**
     * 地址id（regions）
     */
    private String codeList;


    public Integer getAddressId() {
        return addressId;
    }

    public void setAddressId(Integer addressId) {
        this.addressId = addressId;
    }

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public Integer getCityId() {
        return cityId;
    }

    public void setCityId(Integer cityId) {
        this.cityId = cityId;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public Long getPostCode() {
        return postCode;
    }

    public void setPostCode(Long postCode) {
        this.postCode = postCode;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCodeList() {
        return codeList;
    }

    public void setCodeList(String codeList) {
        this.codeList = codeList;
    }
}

